Subject: Re: [TLS] TLS Next Proto negotiation

From: Adam Langley <[email-masked]>
Date: Mon, 18 Jul 2011 09:46:42 -0400

On Mon, Jul 18, 2011 at 9:38 AM, <[email-masked]> wrote:
> I thought http://tools.ietf.org/id/draft-agl-tls-nextproto-00.txt is the latest draft, the date is may 14 2011 which is latest than the draft you specified.

It is the latest draft, but it doesn't reflect the implementation.

> And also find attached the capture where I dont find the Next Protocol message, google chrome being used here.

See packet 56 in that trace. There's an encrypted handshake record
after the ChangeCipherSpec. It's 72 bytes long, which is too large for
just the Finished message, but it's the correct size for the
NextProtocol + Finished messages. (It appears that I was wrong when I
said that the NextProtocol message gets its own record; maybe I fixed
that.)

Cheers

AGL